
from setuptools import setup, find_packages

setup(
    name="imecilabt-gpulab-cli",
    version="2.0.1",
    # Make sure to also update version number in imecilabt/gpulab/cli/__main__.py  (three times!)

    description="GPULab CLI",
    long_description="GPULab CLI for submitting jobs to an GPULab instance",

    url="https://gpulab.ilabt.imec.be",

    author="Thijs Walcarius",
    author_email="thijs.walcarius@ugent.be",

    packages=["imecilabt.gpulab.cli", "imecilabt.gpulab.model", "imecilabt.gpulab.util"],


#requests 2.18.0 is required for "with session.get() as r:"  ("Response is now a context manager")
#         2.18.4 is what works, so why not require it
#click 6.7 is what works, so why not require it
#At least python 3.4 is required (not sure for which feature, but < 3.4 will certainly fail)
    install_requires=["requests>=2.18.4", "click>=6.7",
                      "python-dateutil",
                      "cryptography", "timestamp", "pyyaml",
                      "pyyml"],
    python_requires='>=3.4',

    entry_points={
        'console_scripts': [
            'gpulab-cli=imecilabt.gpulab.cli.__main__:main',
        ],
    },
    zip_safe=False, # Zipped eggs don't play nicely with namespace packaging, and may be implicitly installed by commands like python setup.py install. To prevent this, it is recommended that you set zip_safe=False in setup.py

)


